/*
 C prototypes to the assembler functions in head.S and uart.S
 Matt Evans 25Mar05
 */

#ifndef _ASMFNS_H
#define _ASMFNS_H

char uart_getbyte(void);
char uart_getbyte_nonblock(int *success);
void uart_putbyte(char b);
void uart_putstring(char *msg);
void uart_phex8(int n);
void uart_phex32(int n);
void uart_pnewl(void);
void uart_putbuffer(unsigned char *buffer, int len);
void uart_getbuffer(unsigned char *buffer, int len);
int uart_testrx(void);

struct context
{
  unsigned int regs[16];
  unsigned int cpsr;
  unsigned int spsr;
};

void print_ctx(struct context *ctx);
void print_psr(unsigned int psr);

extern unsigned int monitorLength;
extern unsigned int _end;
#endif
