/* Header for boot-from-flash functions

   Matt Evans, 8 May 2005
   See README
*/

#ifndef _BOOT_H
#define _BOOT_H

#define BOOT_MAGIC1 0xbabeface
#define BOOT_MAGIC2 0xfeedbeef

struct bootBlockHeader
{
  unsigned int magic1;
  unsigned int length;        // Including header (in bytes)
  unsigned int crc;           // Unused so far...
  unsigned int magic2;
  unsigned int loadAddress;   // Load to, including this header
  unsigned int entryAddress;
  unsigned int offsetToDescr; // Offset (NOT address) of descr string in first block
};

int findFirstBootableBlock(void);
int findBootableBlock(int from, unsigned char *blockSizeBuffer);
void listBootableBlocks(void);
void bootThatImage(int imageblock);


#endif
